<?php
/* $Id: configtest.php,v 1.7 2003/07/25 12:31:04 dijkstra Exp $ */

require_once("setup.inc");

ini_set("display_errors", 1);
ini_set("log_errors", 1);
ini_set("error_reporting" , E_ALL);

/* Test PHP configuration */
print '<pre>Printing apache configuration: ';
print "\xa".' server = ';
if (isset($HTTP_SERVER_VARS["SERVER_SIGNATURE"])) {
	if (preg_match("/.*Apache\/([0-9.]+)/i", $HTTP_SERVER_VARS["SERVER_SIGNATURE"], $match)) {
		print "apache v".$match[1];
	} else {
		print "unknown (".$HTTP_SERVER_VARS["SERVER_SIGNATURE"].")";
	}
} else {
	print "unknown";
}
print "\xa".' php = ' . PHP_VERSION;
print "\xa".' document_root = ';
if (isset($HTTP_SERVER_VARS["DOCUMENT_ROOT"])) {
	print $HTTP_SERVER_VARS["DOCUMENT_ROOT"].' ';
	if ($HTTP_SERVER_VARS["DOCUMENT_ROOT"] == '/htdocs') {
		print "(chrooted?)";
	} 
}
print "\xa".'done</pre>';

print "<pre>Testing session: ";
require_once("class_session.inc");
$session->_test();
print "\xa"."done</pre>";

print "<pre>Testing rrdtool: ";
require_once("class_rrdtool.inc");
$r = new RRDTool();
$r->_test();
print "\xa"."done</pre>";

print "<pre>Testing cache: ";
require_once("class_cache.inc");
$cache->_test();
print "\xa"."done</pre>";

print "<pre>Testing lexer: ";
require_once("class_lexer.inc");
$lp = new Lexer();
$lp->_test();
print "\xa"."done</pre>";

print "<pre>Testing layout: ";
require_once("class_layout.inc");
$l = new Layout();
$l->_test();
print "\xa"."done</pre>";
